View Issue Details

IDProjectCategoryView StatusLast Update
0001269SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.11Fixed in Version3.5.11 
Summary0001269: Update ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases
DescriptionUpdate ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases.

Maybe it can look something like this:

<column name="column" type="INTEGER" required="true">
   <platform-column name="oracle" type="NUMERIC"/>
</column>

The idea is that if you extract the xml from a specific database, then the specific database type will be represented. When applying ddl, if applying to a specific database and the database specific notation exists, then the ddl would be generated using the database specific notation.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 5c67e1cd

2013-10-29 15:58:14

chenson

Details Diff
0001269: Update ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases
0001458: Add support for Oracle's TIMESTAMP WITH LOCAL TIME ZONE data type

0001269
mod - symmetric-assemble/database.dtd Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/ColumnTypes.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformColumn.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/TypeMap.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/ase/AseDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/derby/DerbyDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb/HsqlDbDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/informix/InformixDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractWriterTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
rm - symmetric-jdbc/src/test/java/org/jumpmind/db/AbstractDbTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/AbstractDdlTypesTest.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/firebird/FirebirdDdlTypesTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/h2/H2DdlTypesTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/oracle/OracleDdlTypesTest.java Diff File

SymmetricDS: master 59f21675

2013-10-29 18:38:05

chenson

Details Diff
0001269: Update ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases
0001458: Add support for Oracle's TIMESTAMP WITH LOCAL TIME ZONE data type

0001269
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformColumn.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/h2/H2DdlTypesTest.java Diff File

SymmetricDS: master 9dc5fd84

2013-10-30 08:08:28

chenson

Details Diff
0001269: Update ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases
0001458: Add support for Oracle's TIMESTAMP WITH LOCAL TIME ZONE data type

0001269
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/AbstractDdlTypesTest.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlTypesTest.java Diff File

SymmetricDS: master 5a0bc608

2013-10-30 08:08:51

chenson

Details Diff
0001269: Update ddl utils xml to support specific database types so create schema commands replicate the same schema on same databases
0001458: Add support for Oracle's TIMESTAMP WITH LOCAL TIME ZONE data type

0001269
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/AbstractDdlTypesTest.java Diff File

Issue History

Date Modified Username Field Change
2013-06-08 12:43 chenson New Issue
2013-06-08 12:43 chenson Status new => assigned
2013-06-08 12:43 chenson Assigned To => chenson
2013-10-29 15:54 chenson Product Version 3.6.0 => 3.5.11
2013-10-29 15:54 chenson Target Version 3.6.0 => 3.5.11
2013-10-29 15:54 chenson Description Updated View Revisions
2013-11-11 07:17 chenson Status assigned => resolved
2013-11-11 07:17 chenson Fixed in Version => 3.5.11
2013-11-11 07:17 chenson Resolution open => fixed
2013-11-14 11:00 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7759
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7760
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7761
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7762
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5a0bc608
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9dc5fd84
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 59f21675
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5c67e1cd